data_create
const url = 'https://example.com/api/data';const options = { method: 'POST', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"connection":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","external_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/data \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "connection": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "external_id": "example" }'Create a new Data object.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Request Bodyrequired
Section titled “Request Bodyrequired”Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Responses
Section titled “Responses”Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Example
{ "status": "active"}Serializer for Data.
object
Retrieve submission-related information linked to the given Data object.
Parameters
obj : Data The Data object for which to fetch submission information.
Returns
list of dict A list of dictionaries, each containing: - submission_id (str): The URL of the external identifier linked to the submission. - plugin_name (str): The human-readable name of the plugin used for the submission. - plugin_logo (str): The logo URL of the plugin.
object
Return the size of the object in octets.
Parameters
obj : Data The object for which to determine the size.
Returns
dict A dictionary containing the size of the object and the unit “octets”.
object
Retrieve external access values for the given object.
Parameters
obj : Data The object used to retrieve external access values based on its external_id attribute.
Returns
list[dict] A list of dictionaries containing the external access type and access values for the object’s external_id.
object
Retrieve data access right value for the current user.
Parameters
obj : Data The object used to retrieve access right value.
Returns
dict A list of dictionaries containing the access right and last updated type and last verification time.
object
Retrieve datalink to access the current data.
Parameters
obj : Data The object used to retrieve datalink for.
Returns
list[dict] A list of dictionaries containing the datalinks.
object
Why the enrichment failed, as {code, message}
Celery task ID of the last async enrichment
Example
{ "status": "active"}object
object
Example
{ "code": "plugin_error", "message": "An error occurred in the plugin. Check the `details` property for more details.", "details": [ { "parameter": "connection", "message": "Custom message from the plugin", "code": "authentication_failed" } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
